# List Network Connectivity Configs Public

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/network-connectivity-configs`

Gets an array of network connectivity configurations.

API scopes: networking

## Path parameters

- `account_id` (string, optional)
  Your <Databricks> account ID. You can find your account ID in your <Databricks> accounts console.

## Query parameters

- `page_token` (string, optional)
  Pagination token to go to next page based on previous query.

## Returns

- `items` (array of object, optional)
  - `network_connectivity_config_id` (string, optional)
    <Databricks> network connectivity configuration ID.
    Example: `d6df3889-eefc-4ddb-bbb4-613efcb30035`
  - `account_id` (string, optional)
    Your <Databricks> account ID. You can find your account ID in your <Databricks> accounts console.
    Example: `449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65`
  - `name` (string, optional)
    The name of the network connectivity configuration. The name can contain alphanumeric characters, hyphens,
     and underscores. The length must be between 3 and 30 characters. The name must match the regular
     expression ^[0-9a-zA-Z-_]{3,30}$
    Example: `my-example-ncc`
  - `region` (string, optional)
    The region for the network connectivity configuration.
     Only workspaces in the same region can be attached to the network connectivity configuration.
  - `egress_config` (object, optional)
    The network connectivity rules that apply to network traffic from your serverless compute resources.
    - `default_rules` (object, optional)
      The network connectivity rules that are applied by default without resource specific configurations. 
       You can find the stable network information of your serverless compute resources here.
      - `azure_service_endpoint_rule` (object, optional)
      - `aws_stable_ip_rule` (object, optional)
    - `target_rules` (object, optional)
      The network connectivity rules that configured for each destinations. These rules override default rules.
      - `azure_private_endpoint_rules` (array of object, optional)
      - `aws_private_endpoint_rules` (array of object, optional)
        AWS private endpoint rule controls the AWS private endpoint based egress rules.
  - `updated_time` (int64, optional)
    Time in epoch milliseconds when this object was updated.
    Example: `1691436121777`
  - `creation_time` (int64, optional)
    Time in epoch milliseconds when this object was created.
    Example: `1691436121706`
- `next_page_token` (string, optional)
  A token that can be used to get the next page of results. If null, there are no more results to show.

## Response

```json
{
  "items": [
    {
      "network_connectivity_config_id": "d6df3889-eefc-4ddb-bbb4-613efcb30035",
      "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
      "name": "my-example-ncc",
      "region": "string",
      "egress_config": {},
      "updated_time": 1691436121777,
      "creation_time": 1691436121706
    }
  ],
  "next_page_token": "string"
}
```

